Skip to main content
GET
/
audits
/
{auditId}
/
personnel
/
people
Java
package hello.world;

import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListPersonnelPeopleRequest;
import com.vanta.vanta_auditor_api.models.operations.ListPersonnelPeopleResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Vanta sdk = Vanta.builder()
                .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
            .build();

        ListPersonnelPeopleRequest req = ListPersonnelPeopleRequest.builder()
                .auditId("<id>")
                .build();

        ListPersonnelPeopleResponse res = sdk.audits().listPersonnelPeople()
                .request(req)
                .call();

        if (res.paginatedResponsePersonnelPerson().isPresent()) {
            System.out.println(res.paginatedResponsePersonnelPerson().get());
        }
    }
}
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "person_12345",
      "endCursor": "person_12345"
    },
    "data": [
      {
        "id": "person_12345",
        "name": "John Doe",
        "email": "john.doe@example.com",
        "jobTitle": "Software Engineer",
        "employmentStatus": "CURRENTLY_EMPLOYED",
        "startDate": "2021-01-15",
        "endDate": null,
        "groups": [
          {
            "name": "Engineering"
          },
          {
            "name": "Admin"
          }
        ],
        "source": {
          "mainSource": "Okta",
          "supplementarySource": "Google Workspace"
        },
        "taskStatus": {
          "status": "SECURITY_TASKS_COMPLETE",
          "dueDate": "2024-03-15",
          "completionDate": "2024-01-20",
          "numTasksCompleted": null,
          "numTasksOverdue": null,
          "numTasksDueSoon": null
        },
        "lastReminded": "2024-01-15",
        "policies": {
          "status": "SECURITY_TASKS_COMPLETE",
          "dueDate": "2024-03-15",
          "completionDate": "2024-01-20"
        },
        "trainings": {
          "status": "SECURITY_TASKS_COMPLETE",
          "dueDate": "2024-03-15",
          "completionDate": "2024-01-20"
        },
        "backgroundChecks": {
          "status": "SECURITY_TASKS_COMPLETE",
          "dueDate": "2024-03-15",
          "completionDate": "2024-01-20"
        },
        "deviceMonitoring": {
          "status": "SECURITY_TASKS_COMPLETE",
          "dueDate": "2024-03-15",
          "completionDate": "2024-01-20"
        },
        "customOnboarding": {
          "status": "SECURITY_TASKS_COMPLETE",
          "dueDate": "2024-03-15",
          "completionDate": "2024-01-20"
        },
        "customOffboarding": {
          "status": "SECURITY_TASKS_COMPLETE",
          "dueDate": "2024-03-15",
          "completionDate": "2024-01-20"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.vanta.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

The audit ID

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of results per page (1-100, default 10) Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Search term for filtering by name or email

status
enum<string>

Employment status filter Employment status filter for people queries.

Available options:
CURRENTLY_EMPLOYED,
INACTIVE_EMPLOYEE,
NOT_PEOPLE,
ON_LEAVE,
PREVIOUSLY_EMPLOYED,
UPCOMING_EMPLOYEE
groupsMatchesAny
string[]

Filter people by group IDs

orderBy
enum<string>

Field to sort results by. Allowed: "name", "employmentStatus". Default: "name"

Available options:
name,
employmentStatus
orderDirection
enum<string>

Sort direction: "asc" or "desc". Default: "asc" Sort direction: "asc" for ascending, "desc" for descending.

Available options:
asc,
desc

Response

200 - application/json

Paginated list of people with pagination metadata

results
object
required